.mch_wrapper {
  color: #fff;
}

.mch_wrapper * {
  box-sizing: border-box;
  font-family: foxtrot, sans-serif, serif;
  line-height: 1.5;
}

.mch_image {
  max-width: 100%;
  width: 100%;
  height: auto;
}

.mch_desktop {
  display: block;
}

.mch_mobile {
  display: none;
}

.mch_sup {
  display: inline;
  font-size: clamp(8px, 1vw, 14px);
  vertical-align: super;
}

.mch_video {
  max-width: 100%;
  width: 100%;
  height: auto;
}

.mch_text-bold {
  font-weight: 700;
}

.mch_title {
  font-size: clamp(18px, 2.5vw, 40px);
}

.mch_subtitle {
  font-size: clamp(16px, 2vw, 30px);
}

.mch_caption {
  font-size: clamp(14px, 1.5vw, 26px);
}

.mch_empty {
  font-size: clamp(12px, 1.2vw, 22px);
}

.mch_section {
  width: 100%;
  position: relative;
}

.mch_section-first {
  display: flex;
  flex-direction: column;
}

.mch_section-first-content {
  position: relative;
  display: flex;
  flex-direction: column;
}

.mch_section-first-content .mch_section-first-text {
  position: absolute;
  top: 10%;
  left: 0;
  max-width: 45%;
  padding: 2%;
}

.mch_section-first-text {
  display: flex;
  flex-direction: column;
  gap: 1vw;
}

.mch_section-first-items {
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg1.png) center / cover no-repeat;
  padding: 3%;
  display: grid;
  grid-template-columns: 22% 25% 25% 25%;
  gap: 1vw;
}

.mch_section-first-item {
  position: relative;
}

.mch_section-first-item .mch_empty {
  position: absolute;
  top: 0;
  left: 0;
  padding: 2%;
  max-width: 60%;
  font-size: clamp(12px, 1.2vw, 18px);
}

.mch_section-first-item:first-child,
.mch_section-first-item:nth-child(2) {
  grid-row: auto / span 2;
}

.mch_section-first-item:nth-child(2) .mch_empty {
  max-width: 65%;
  left: 15%;
}

.mch_section-first-item:last-child {
  grid-column: auto / span 2;
}

.mch_section-first-block {
  display: flex;
  flex-direction: column;
  gap: 2vw;
  padding: 3%;
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg2.png) center / cover no-repeat;
  text-align: center;
}

.mch_section-first-box {
  display: grid;
  grid-template-columns: 1fr 1fr;
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg3.png) center / cover no-repeat;
  align-items: center;
}

.mch_section-first-box .mch_section-first-text {
  padding: 3%;
}

.mch_section-first-box .mch_section-first-text .mch_section-first-picture {
  max-width: 50%;
}

.mch_section-first-title {
  position: absolute;
  top: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  padding: 2%;
  text-align: center;
  width: 100%;
}

.mch_section-first-caption {
  position: absolute;
  top: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  padding: 2%;
  text-align: center;
  width: 100%;
  max-width: 75%;
}

.mch_section-first-container {
  display: flex;
  flex-direction: column;
  gap: 2vw;
  position: relative;
}

.mch_section-first-container .mch_section-first-text {
  position: absolute;
  top: 50%;
  left: 0;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  padding: 2%;
  max-width: 50%;
}

.mch_section-first-pictures {
  display: flex;
  flex-wrap: wrap;
  gap: 1vw;
  justify-content: space-between;
}

.mch_section-first-contain {
  display: flex;
  flex-direction: column;
  gap: 5px;
  text-align: center;
  width: calc(33.3% - 1vw);
}

.mch_section-first-cont {
  display: flex;
  flex-direction: column;
  gap: 2vw;
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg.png) center / cover no-repeat;
  padding-top: 3%;
}

.mch_section-first-cont .mch_section-first-text {
  padding: 0 3%;
  text-align: center;
}

.mch_section-first-fraction {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2vw;
  padding: 3%;
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg3.png) center / cover no-repeat;
}

.mch_section-first-fraction .mch_title {
  grid-column: 1 / -1;
  text-align: center;
}

.mch_section-first-boxing {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2vw;
  align-items: center;
  padding: 3%;
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg4.png) center / cover no-repeat;
}

.mch_section-first-boxing .mch_section-first-text .mch_section-first-picture {
  max-width: 50%;
}

.mch_section-second {
  display: flex;
  flex-direction: column;
}

.mch_section-second-content {
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg5.png) center / cover no-repeat;
  padding: 3%;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2vw;
  align-items: center;
}

.mch_section-second-pictures {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1vw;
}

.mch_section-second-icons {
  display: flex;
  flex-direction: column;
  gap: 5px;
  text-align: center;
}

.mch_section-second-text {
  display: flex;
  flex-direction: column;
  gap: 1vw;
}

.mch_section-second-icon {
  max-width: 30%;
  margin: 0 auto;
}

.mch_section-second-items {
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg6.png) center / cover no-repeat;
  display: flex;
  flex-direction: column;
  gap: 2vw;
}

.mch_section-second-items .mch_section-second-text {
  padding: 3% 3% 0;
}

.mch_section-second-item {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 2vw;
}

.mch_section-second-item .mch_section-second-text {
  position: absolute;
  top: 0;
  left: 0;
  max-width: 50%;
  padding: 2%;
}

.mch_section-second-item .mch_section-second-text .mch_section-second-picture {
  max-width: 45%;
}

.mch_section-second-block {
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg7.png) center / cover no-repeat;
  padding: 3%;
  display: flex;
  flex-wrap: wrap;
  gap: 2vw;
  justify-content: center;
  text-align: center;
}

.mch_section-second-block .mch_title {
  width: 100%;
}

.mch_section-second-block .mch_section-second-text {
  width: calc(33.3% - 2vw);
}

.mch_section-second-box {
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg7.png) center / cover no-repeat;
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
}

.mch_section-second-box .mch_section-second-text {
  padding: 3%;
}

.mch_section-second-box .mch_section-second-text .mch_section-second-picture {
  max-width: 80%;
}

.mch_section-second-box .mch_section-second-text .mch_empty {
  color: #ffffffb1;
}

.mch_section-second-container {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 2vw;
}

.mch_section-second-container .mch_section-second-text {
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 0;
  max-width: 50%;
  padding: 2%;
}

.mch_section-second-custom {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1vw;
}

.mch_section-second-custom .mch_section-second-text {
  position: static;
  max-width: initial;
  padding: 3%;
  border: 1px solid #ffffff80;
  gap: 5px;
  -webkit-transform: none;
  transform: none;
}

.mch_section-second-caption {
  color: #00eaff;
}

.mch_section-second-contain {
  color: #000;
  padding: 3%;
  display: grid;
  grid-template-columns: 1.5fr 1fr 1fr 1.5fr;
  gap: 2vw;
  text-align: center;
  align-items: center;
}

.mch_section-second-contain .mch_title {
  grid-column: 1 / -1;
}

.mch_section-second-cont {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.mch_section-second-cont:nth-child(2),
.mch_section-second-cont:nth-child(5) {
  grid-row: auto / span 2;
}

.mch_section-second-cont:nth-child(2) .mch_section-second-picture {
  max-height: 350px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.mch_section-second-cont:nth-child(5) .mch_section-second-picture {
  width: 70%;
  margin: 0 auto;
}

.mch_section-second-fraction {
  background: url(https://files.foxtrot.com.ua/StaticContent/Ext/foxtrot/vac/Roborock/F25_ACE/image/bg8.png) center / cover no-repeat;
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
}

.mch_section-second-fraction .mch_title {
  padding: 3%;
}

@media screen and (max-width: 960px) {
  .mch_section-first-items {
    grid-template-columns: 30% 34% 34%;
  }

  .mch_section-first-item:last-child {
    grid-column: 1 / -1;
  }

  .mch_section-second-item .mch_section-second-text {
    position: static;
    max-width: initial;
    padding: 3% 3% 0;
  }

  .mch_section-second-item {
    background: #000000;
  }
}

@media screen and (max-width: 768px) {
  .mch_desktop {
    display: none;
  }

  .mch_mobile {
    display: block;
  }

  .mch_section-first-items {
    grid-template-columns: 1fr;
  }

  .mch_section-first-item:first-child,
  .mch_section-first-item:nth-child(2) {
    grid-row: auto;
  }

  .mch_section-first-item:nth-child(2) {
    max-width: 60%;
  }

  .mch_section-first-item:last-child .mch_empty {
    max-width: initial;
    padding: 1%;
  }

  .mch_section-first-item {
    max-width: 60%;
    margin: 0 auto;
    width: 100%;
  }

  .mch_section-first-box {
    grid-template-columns: 1fr;
  }

  .mch_section-first-caption {
    position: static;
    -webkit-transform: none;
    transform: none;
    max-width: initial;
    padding: 3%;
    background: #0e1519;
  }

  .mch_section-first-container .mch_section-first-text {
    position: static;
    -webkit-transform: none;
    transform: none;
    max-width: initial;
    padding: 3% 3% 0;
  }

  .mch_section-first-container {
    background: #0e1519;
  }

  .mch_section-first-boxing {
    grid-template-columns: 1fr;
  }

  .mch_section-second-content {
    grid-template-columns: 1fr;
  }

  .mch_section-second-block .mch_section-second-text {
    width: calc(50% - 2vw);
  }

  .mch_section-second-box {
    grid-template-columns: 1fr;
  }

  .mch_section-second-container .mch_section-second-text {
    position: static;
    -webkit-transform: none;
    transform: none;
    max-width: initial;
    padding: 3% 3% 0;
  }

  .mch_section-second-container {
    background: #0e1519;
  }

  .mch_section-second-contain {
    grid-template-columns: 1.5fr 1fr 1fr;
  }

  .mch_section-second-cont:nth-child(2) .mch_section-second-picture {
    max-height: initial;
  }

  .mch_section-second-cont:nth-child(2) {
    grid-row: auto / span 3;
  }

  .mch_section-second-cont:nth-child(5) {
    order: 1;
    grid-row: initial;
  }

  .mch_section-second-cont .mch_section-second-picture {
    width: 70%;
    margin: 0 auto;
  }

  .mch_section-second-fraction {
    grid-template-columns: 1fr;
    text-align: center;
  }
}

@media screen and (max-width: 480px) {
  .mch_section-first-content .mch_section-first-text {
    top: 0;
    max-width: 85%;
  }

  .mch_section-first-item:nth-child(2) {
    max-width: initial;
  }

  .mch_section-first-item {
    max-width: initial;
  }

  .mch_section-first-title {
    font-size: 14px;
  }

  .mch_section-first-pictures {
    justify-content: center;
  }

  .mch_section-first-contain {
    width: calc(50% - 1vw);
  }

  .mch_section-first-fraction {
    grid-template-columns: 1fr;
  }

  .mch_section-second-pictures {
    grid-template-columns: 1fr;
  }

  .mch_section-second-block .mch_section-second-text {
    width: 100%;
  }

  .mch_section-second-custom {
    grid-template-columns: 1fr;
  }

  .mch_section-second-contain {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (max-width: 380px) {
  .mch_section-first-content .mch_section-first-text {
    position: static;
    max-width: initial;
    padding: 3%;
    background: #0e1519;
  }

  .mch_section-first-title {
    font-size: 10px;
  }

  .mch_section-first-contain {
    width: 100%;
  }

  .mch_section-second-contain {
    grid-template-columns: 1fr;
  }
}

@media screen and (max-width: 375px) {
  .mch_image-container-flex {
    display: flex;
  }

  .mch_image-container-flex > p {
    display: flex;
  }

  .mch_image--cover {
    -o-object-fit: cover;
    object-fit: cover;
  }
}